<?php

namespace Lc\ShopBundle\Form;

use FOS\UserBundle\Form\Type\RegistrationFormType as BaseRegistrationFormType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;

class RegistrationType extends AbstractType
{
        public function getParent()
        {
                return BaseRegistrationFormType::class;
        }

        public function buildForm(FormBuilderInterface $builder, array $options)
        {
                $builder->remove('username')
                        ->add('gender', ChoiceType::class, [
                                'label' => 'Titre',
                                'multiple' => false,
                                'expanded' => true,
                                'choices' => [
                                        'Madame' => 1,
                                        'Monsieur' => 0,
                                ]
                        ])
                        ->add('firstName', TextType::class, [
                                'label' => 'Prénom'
                        ])
                        ->add('lastName', TextType::class, [
                                'label' => 'Nom'
                        ]);
        }


}