<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\OrderProductInterface;

/**
 * @method OrderProductInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderProductInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderProductInterface[]    findAll()
 * @method OrderProductInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderProductRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return OrderProductInterface::class;
        }
}
