<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class Page extends AbstractDocumentEntity
{
        /**
         * @ORM\Column(type="text", nullable=true)
         */
        protected $content;

        public function __toString()
        {
                return $this->getTitle() ;
        }

        public function getContent(): ?string
        {
                return $this->content;
        }

        public function setContent(?string $content): self
        {
                $this->content = $content;

                return $this;
        }
}
