<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;
use Gedmo\Mapping\Annotation as Gedmo;

trait SortableTrait
{
        /**
         * @var string
         * @ORM\Column(type="string")
         */
        protected $position = 0;

        /**
         * @return string
         */
        public function getPosition(): string
        {
                return $this->position;
        }

        /**
         * @param string $position
         * @return $this
         */
        public function setPosition(string $position): self
        {
                $this->position = $position;
                return $this;
        }
}