<?php

namespace Lc\ShopBundle\Model;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\MappedSuperclass()
 */
abstract class Visitor
{
        /**
         * @ORM\Column(type="string", length=255)
         */
        protected $cookie;

        /**
         * @ORM\Column(type="datetime")
         */
        protected $lastAccess;

        /**
         * @ORM\Column(type="string", length=255)
         */
        protected $ip;

        /**
         * @ORM\Column(type="integer")
         */
        protected $totalVisit;

        public function getCookie(): ?string
        {
                return $this->cookie;
        }

        public function setCookie(?string $cookie): self
        {
                $this->cookie = $cookie;

                return $this;
        }

        public function getLastAccess(): ?\DateTimeInterface
        {
                return $this->lastAccess;
        }

        public function setLastAccess(\DateTimeInterface $lastAccess): self
        {
                $this->lastAccess = $lastAccess;

                return $this;
        }

        public function getIp(): ?string
        {
                return $this->ip;
        }

        public function setIp(?string $ip): self
        {
                $this->ip = $ip;

                return $this;
        }

        public function getTotalVisit(): ?int
        {
                return $this->totalVisit;
        }

        public function setTotalVisit(int $totalVisit): self
        {
                $this->totalVisit = $totalVisit;

                return $this;
        }
}
